package com.tmerclub.cloud.systemtest.data.store;

import com.tmerclub.cloud.multishop.dto.ShopSubstituteSalesDTO;
import com.moyuer.cloud.systemtest.api.store.ShopSubstituteSalesApi;

/**
 * @author lpj
 */
public class ShopSubstituteSalesDtoData {
    /**
     * 代销设置数据
     * @param salesType 设置价格方式 0 智能设价 1 手动设价
     * @param salesPriceType 加价类型 0 按比例 1 固定金额
     * @param salesPrice 代销价格
     * @param orderShape 待采购方式 0 直接转为待采购 1 自动采购
     */
    public static ShopSubstituteSalesDTO getShopSubstituteSalesDTO(Integer salesType, Integer salesPriceType, Long salesPrice, Integer orderShape) {
        ShopSubstituteSalesDTO shopSubstituteSalesDTO = new ShopSubstituteSalesDTO();
        shopSubstituteSalesDTO.setSalesType(salesType);
        shopSubstituteSalesDTO.setSalesPriceType(salesPriceType);
        shopSubstituteSalesDTO.setSalesPrice(salesPrice);
        shopSubstituteSalesDTO.setOrderShape(orderShape);
        shopSubstituteSalesDTO.setShopId(ShopSubstituteSalesApi.getShopSubstituteSales().getShopId());
        shopSubstituteSalesDTO.setShopSubstituteSalesId(ShopSubstituteSalesApi.getShopSubstituteSales().getShopSubstituteSalesId());
        return shopSubstituteSalesDTO;
    }
}
